//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace COMMON
{
    using System;
    using System.Collections.Generic;
    
    public partial class ShopCounter
    {
        public long Id { get; set; }
        public Nullable<long> CustomerShopID { get; set; }
        public Nullable<long> PriceId { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public Nullable<decimal> StartCoutValue { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public Nullable<decimal> EndCoutValue { get; set; }
        public Nullable<long> UserId { get; set; }
        public Nullable<System.DateTime> CreationDate { get; set; }
    
        public virtual CustomerShop CustomerShop { get; set; }
        public virtual Price Price { get; set; }
        public virtual User User { get; set; }
    }
}
